{
  "schema_version": "1.4.0",
  "id": "GHSA-x9c4-x5m6-x5h9",
  "modified": "2022-05-13T01:24:43Z",
  "published": "2022-05-13T01:24:43Z",
  "aliases": [
    "CVE-2016-2062"
  ],
  "details": "The adreno_perfcounter_query_group function in drivers/gpu/msm/adreno_perfcounter.c in the Adreno GPU driver for the Linux kernel 3.x, as used in Qualcomm Innovation Center (QuIC) Android contributions for MSM devices and other products, uses an incorrect integer data type, which allows attackers to cause a denial of service (integer overflow, heap-based buffer overflow, and incorrect memory allocation) or possibly have unspecified other impact via a crafted IOCTL_KGSL_PERFCOUNTER_QUERY ioctl call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-2062"
    },
    {
      "type": "WEB",
      "url": "https://codeaurora.org/cgit/quic/la/kernel/msm-3.18/commit/?id=27c95b64b2e4b5ff1288cbaa6e353dd803d71576"
    },
    {
      "type": "WEB",
      "url": "https://www.codeaurora.org/buffer-overflow-adreno-gpu-msm-driver-cve-2016-2062"
    },
    {
      "type": "WEB",
      "url": "http://source.android.com/security/bulletin/2016-06-01.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035766"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-05-05T21:59:00Z"
  }
}